<?php
lt_include( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );


/**
 * implements notification of
 */
class PluginMTExport extends PluginBase
{
  var $cacheFolder;

  function PluginMTExport( $source = "" )
  {
    $this->PluginBase( $source );

    $this->id = "mtexport";
    $this->desc = "Exports a blog to a <a href='http://www.sixapart.com/movabletype/docs/mtimport'>Movable Type Import Format</a> file.";
    $this->author = "Paul Westbrook";
    $this->locales = Array( "en_UK" );
    $this->version = "200905041";

    if( $source == "admin" )
      $this->initAdmin();
  }

  function initAdmin()
  {
    // register an action that will allow users to see which comments have not been
    // accepted yet
    $this->registerAdminAction( "mtexportPluginSettings", "AdminMTExportPluginSettingsAction" );
    $this->registerAdminAction( "mtexportPluginExportBlog", "AdminMTExportPluginExportBlogAction" );

    // add a menu entry
    $menu =& Menu::getMenu();
    if( !$menu->entryExists( "/menu/controlCenter/manageIntegrationPlugins" ))
      $this->addMenuEntry( "/menu/controlCenter", "manageIntegrationPlugins", "", "", true, false );
    $this->addMenuEntry( "/menu/controlCenter/manageIntegrationPlugins", "mtexportPluginSettings", "admin.php?op=mtexportPluginSettings", "", true, false );
  }

  function register()
  {
    $config =& Config::getConfig();

    $this->cacheFolder = $config->getValue('temp_folder');
    $this->cacheFolder = $this->cacheFolder.'/mtexport/'.$this->blogInfo->getId();
    if( !File::exists( $this->cacheFolder )) {
      File::createDir( $this->cacheFolder, 0755 );
    }

    $blogSettings = $this->blogInfo->getSettings();
  }


  function getPluginConfigurationKeys()
  {
    return (Array()
            );
  }

}
?>
